Subject: bug#31492: 26.1; query-replace-regexp undo fails in regexps w/o printable chars

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 May 2018 18:47:10 +0300

> From: Tino Calancha <[email-masked]>
> Date: Sun, 20 May 2018 22:46:05 +0900 (JST)
> cc: Tino Calancha <[email-masked]>, [email-masked]
> 
> > The question is: is such a situation possible?
> Everything is possible (except, possibly, that I find a new job).

Actually, I know a few things that are even less possible than that.

> You know what they say: In the risk is the pleasure. Otherwise we
> can use the first patch; the one with the test:
> (/= (match-beginning 0) (match-end 0))

No, I like the 2nd one better.

Thanks.